summaryrefslogtreecommitdiffstats
path: root/haskell/haskell-digest
diff options
context:
space:
mode:
author Robby Workman <rworkman@slackbuilds.org>2011-03-16 01:20:14 -0500
committer Robby Workman <rworkman@slackbuilds.org>2011-03-20 12:32:23 -0500
commit6a511b1c665a1f7efecadaa3447af889b1dcba58 (patch)
tree2266375d0edd4ec28f98767b54af3fbd8edebea2 /haskell/haskell-digest
parentf228ec7eefcb4ab77057015a1b13c85973cb68ee (diff)
downloadslackbuilds-6a511b1c665a1f7efecadaa3447af889b1dcba58.tar.gz
slackbuilds-6a511b1c665a1f7efecadaa3447af889b1dcba58.tar.xz
haskell/*: Moved all of the Haskell stuff to here
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'haskell/haskell-digest')
-rw-r--r--haskell/haskell-digest/README8
-rw-r--r--haskell/haskell-digest/doinst.sh1
-rw-r--r--haskell/haskell-digest/haskell-digest.SlackBuild88
-rw-r--r--haskell/haskell-digest/haskell-digest.info10
-rw-r--r--haskell/haskell-digest/slack-desc19
5 files changed, 126 insertions, 0 deletions
diff --git a/haskell/haskell-digest/README b/haskell/haskell-digest/README
new file mode 100644
index 0000000000..3d1bce3dd6
--- /dev/null
+++ b/haskell/haskell-digest/README
@@ -0,0 +1,8 @@
+This is a library for Haskell programs, providing efficient cryptographic hash
+implementations for strict and lazy bytestrings. CRC32 and Adler32 are
+supported; they are implemented as FFI bindings to efficient code from zlib.
+
+This requires ghc.
+
+After uninstalling, run the following command to unregister the package
+from the ghc package database: ghc-pkg recache
diff --git a/haskell/haskell-digest/doinst.sh b/haskell/haskell-digest/doinst.sh
new file mode 100644
index 0000000000..3268c238bf
--- /dev/null
+++ b/haskell/haskell-digest/doinst.sh
@@ -0,0 +1 @@
+chroot . /usr/bin/ghc-pkg recache
diff --git a/haskell/haskell-digest/haskell-digest.SlackBuild b/haskell/haskell-digest/haskell-digest.SlackBuild
new file mode 100644
index 0000000000..29a1e37cf7
--- /dev/null
+++ b/haskell/haskell-digest/haskell-digest.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for digest
+
+# Written by Peter Wang <novalazy@gmail.com>
+# Modified by Mikko Värri <vmj@linuxbox.fi>
+# Public domain.
+
+PRGNAM=haskell-digest
+VERSION=${VERSION:-0.0.0.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$( echo $PRGNAM | cut -d- -f2- )"
+
+GHC_VERSION=$(ghc --numeric-version)
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+runghc Setup.hs configure \
+ --prefix=/usr \
+ --enable-shared \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
+ --libsubdir=ghc-$GHC_VERSION/$SRCNAM-$VERSION \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+runghc Setup.hs build
+runghc Setup.hs haddock
+runghc Setup.hs copy --destdir=$PKG
+runghc Setup.hs register --gen-pkg-config
+
+PKGCONFD=/usr/lib${LIBDIRSUFFIX}/ghc-${GHC_VERSION}/package.conf.d
+PKGID=$( grep -E "^id: " $SRCNAM-$VERSION.conf | cut -d" " -f2 )
+mkdir -p $PKG/$PKGCONFD
+mv $SRCNAM-$VERSION.conf $PKG/$PKGCONFD/$PKGID.conf
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/haskell/haskell-digest/haskell-digest.info b/haskell/haskell-digest/haskell-digest.info
new file mode 100644
index 0000000000..edf39d01fb
--- /dev/null
+++ b/haskell/haskell-digest/haskell-digest.info
@@ -0,0 +1,10 @@
+PRGNAM="haskell-digest"
+VERSION="0.0.0.9"
+HOMEPAGE="http://hackage.haskell.org/package/digest"
+DOWNLOAD="http://hackage.haskell.org/packages/archive/digest/0.0.0.9/digest-0.0.0.9.tar.gz"
+MD5SUM="0f35175426d9e443516ac3fa2bf91311"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Mikko Värri"
+EMAIL="vmj@linuxbox.fi"
+APPROVED="dsomero"
diff --git a/haskell/haskell-digest/slack-desc b/haskell/haskell-digest/slack-desc
new file mode 100644
index 0000000000..568dc71293
--- /dev/null
+++ b/haskell/haskell-digest/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+haskell-digest: haskell-digest (cryptographic hash library for Haskell)
+haskell-digest:
+haskell-digest: This is a library for Haskell programs, providing efficient
+haskell-digest: cryptographic hash implementations for strict and lazy
+haskell-digest: bytestrings. CRC32 and Adler32 are supported; they are
+haskell-digest: implemented as FFI bindings to efficient code from zlib.
+haskell-digest:
+haskell-digest:
+haskell-digest:
+haskell-digest:
+haskell-digest: